## diffoscope 87~bpo9+1

=== debian/changelog ===
diffoscope (87~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 28 Sep 2017 11:24:07 +0200

diffoscope (87) unstable; urgency=medium

  [ Juliana Oliveira Rodrigues ]
  * comparators:
    + utils:
      - compare: fix comparison between container types.
      - container: add get_path_name() method, aiming at preventing hitting
        OS' max filename length.
    + gzip: replace dest_path generation with self.get_path_name().
    + bzip2: replace dest_path generation with self.get_path_name().
  * tests:
    + presenters:
      - skip html_visuals test if 'sng' binary is not available.
    + comparators:
      - test_cointainers: new tests to test cross-container comparisons.
      - add test_containers.py.

  [ Chris Lamb ]
  * comparators:
    + utils:
      - file: correct reference to path_apparent_size.
    + fonts: loosen matching of file(1)'s output to ensure we correctly also
      match TTF files under file 5.32.
    + binwalk:
      - new comparator to deal with (e.g.) concatenated CPIO archives using
        the new optional python module 'binwalk'.  Closes: #820631
  * diffoscope.diff: Correct reference to self.buf.
  * debian/rules: run flake8 during the tests, and fail the build in case the
    "underfined name" flake8's check fails.
  * tests/comparators:
    + test_cpio: check we identify all CPIO fixtures.
  * main:
    + print a debugging message if we are reading diff from stdin.
  * presenters:
    + html: use logging.py's lazy argument interpolation.
  * debian/control: bump Standards-Version to 4.1.0.
  * Code style improvements across all of the codebase.

  [ Mattia Rizzolo ]
  * debian/changelog: retroactively close a bug in an old changelog entry.
  * setup.py: add a check to prevent people from installing diffoscope under
    python < 3.5 (i.e. python2) and give them a usable error message otherwise.
  * Code style improvements across all of the codebase.

  [ Ximin Luo ]
  * comparators:
    +  add a fallback_recognizes() method to work around file(1)'s bug #876316.
       Closes: #875282
    + add a --force-details flag for debugging.
    + deb:
      - if --force-details then don't skip files with identical md5sums either.
  * presenters:
    + html:
      - prune all descendants properly.  Closes: #875281
      - don't show pointer-cursor when jquery is disabled.
  * config:
    + force-set a value if it must be less than another, and it was not set on
      purpose.  Closes: #875451
  * readers: convert bytes to str in the right place.
  * diff: use diff_split_lines everywhere.
  * difference:
    + in fmap/map_lines, don't forget about self._visuals.
    + also copy self._comment properly, compare self._visuals in equals().
  * tests/comparators:
    + test_deb: make test_md5sums less brittle.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 22 Sep 2017 18:53:05 +0200

=== debian/control ===
Source: diffoscope
Section: devel
Priority: optional
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Chris Lamb <lamby@debian.org>,
 Holger Levsen <holger@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
 Reiner Herrmann <reiner@reiner-h.de>,
 Ximin Luo <infinity0@debian.org>,
Build-Depends:
 apktool <!nocheck>,
 bash-completion,
 binutils-multiarch <!nocheck>,
 caca-utils <!nocheck>,
 colord <!nocheck>,
 debhelper (>= 10),
 default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
 dh-python (>= 2.20160818~),
 docx2txt <!nocheck>,
 dpkg-dev (>= 1.17.14),
 device-tree-compiler (>= 1.4.2) <!nocheck>,
 enjarify <!nocheck>,
 flake8 <!nocheck>,
 fontforge-extras <!nocheck>,
 fp-utils <!nocheck>,
 ghc <!nocheck>,
 ghostscript <!nocheck>,
 giflib-tools <!nocheck>,
 imagemagick <!nocheck>,
 jsbeautifier <!nocheck>,
 libarchive-tools <!nocheck>,
 libjs-jquery <!nocheck>,
 libjs-jquery-hotkeys <!nocheck>,
 libjs-jquery-isonscreen <!nocheck>,
 libjs-jquery-tablesorter <!nocheck>,
 libjs-jquery-throttle-debounce <!nocheck>,
 llvm <!nocheck>,
 mono-utils <!nocheck>,
 odt2txt <!nocheck>,
 oggvideotools <!nocheck>,
 openssh-client <!nocheck>,
 pdftk <!nocheck>,
 pgpdump <!nocheck>,
 poppler-utils <!nocheck>,
 python-argcomplete,
 python3-all,
 python3-binwalk <!nocheck>,
 python3-debian <!nocheck>,
 python3-distro <!nocheck>,
 python3-docutils,
 python3-guestfs <!nocheck>,
 python3-libarchive-c,
 python3-magic,
 python3-progressbar <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-rpm <!nocheck>,
 python3-setuptools,
 python3-tlsh (>= 3.4.1) <!nocheck>,
 r-base-core <!nocheck>,
 rpm2cpio <!nocheck>,
 sng <!nocheck>,
 sqlite3 <!nocheck>,
 squashfs-tools <!nocheck>,
 tcpdump <!nocheck>,
 unzip <!nocheck>,
 xxd <!nocheck> | vim-common <!nocheck>,
Standards-Version: 4.1.0
Homepage: https://diffoscope.org/
Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git

Package: diffoscope
Architecture: all
Suggests:
 libjs-jquery,
Breaks:
 debbindiff (<< 29),
Replaces:
 debbindiff (<< 29),
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${diffoscope:Recommends},
 ${python3:Recommends},
Description: in-depth comparison of files, archives, and directories
 diffoscope will try to get to the bottom of what makes files or directories
 different. It will recursively unpack archives of many kinds and transform
 various binary formats into more human readable form to compare them. It can
 compare two tarballs, ISO images, or PDF just as easily. The differences can
 be shown in a text or HTML report.
 .
 diffoscope is developed as part of the “reproducible builds” Debian
 project.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

MANPAGES = $(patsubst %.1.rst,%.1,$(wildcard debian/*.1.rst))
PY_VERSION := $(shell awk '/^VERSION = / {gsub(/"/, "", $$3); print $$3}' diffoscope/__init__.py )

ifneq ($(DEB_VERSION),$(PY_VERSION))
 ifneq ($(DEB_DISTRIBUTION),UNRELEASED)
  ifneq (,$(filter %-backports,$(DEB_DISTRIBUTION)))
    ifeq ($(DEB_VERSION:~bpo9+1=),$(PY_VERSION))
     $(info Building a Debian backport, accepting version mismatch $(PY_VERSION) <-> $(DEB_VERSION))
    else
     $(error Version in debian/changelog does not match diffoscope version or backport policy)
    endif
  else
   $(error Version in debian/changelog does not match diffoscope version)
  endif
 endif
endif

export PATH := $(CURDIR)/bin:$(PATH)
export PYBUILD_DESTDIR = debian/diffoscope
export PYBUILD_TEST_ARGS = -vv -r sxX -l --cov=diffoscope --cov-report=term-missing --cov-report=html
export PYBUILD_BEFORE_TEST = flake8 --config=/dev/null --select=F821
export PYBUILD_AFTER_TEST = debian/tests/basic-command-line
export PYBUILD_AFTER_INSTALL = rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage'

ifneq ($(JENKINS_EXPORTS_DIR),)
  export PYBUILD_BEFORE_TEST += && mkdir -pv $(JENKINS_EXPORTS_DIR)/test-results
  export PYBUILD_TEST_ARGS += --junit-xml=$(JENKINS_EXPORTS_DIR)/test-results/tests.xml
endif


%:
	dh $@ --with python3 --with bash-completion --buildsystem=pybuild

debian/%.1: debian/%.1.rst
	rst2man $< $@

debian/diffoscope.bash-completion:
	register-python-argcomplete diffoscope > $@

override_dh_auto_build: debian/diffoscope.bash-completion $(MANPAGES)
	dh_auto_build -O--buildsystem=pybuild

override_dh_auto_test:
# Let's avoid plonking everything in the "DOS/MBR" category, this is really not
# a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
	! grep 'DOS/MBR' -R diffoscope
	dh_auto_test

override_dh_installman: $(MANPAGES)
	dh_installman -O--buildsystem=pybuild

override_dh_python3:
	dh_python3 -p diffoscope \
		--depends=distro \
		--recommends=argcomplete \
		--recommends=binwalk \
		--recommends=defusedxml \
		--recommends=guestfs \
		--recommends=progressbar \
		--recommends=python-debian \
		--recommends=rpm-python \
		--recommends=tlsh \

override_dh_gencontrol:
	bin/diffoscope --list-debian-substvars >> debian/diffoscope.substvars
	dh_gencontrol -O--buildsystem=pybuild

diffoscope/presenters/icon.py: favicon.png
	(echo '# Generated from $@'; \
	 echo 'FAVICON_BASE64 = """'; \
	 base64 $<; \
	 echo '""".replace("\\n", "")'; \
	) > $@

favicon.png: logo.svg
	inkscape -w 32 -h 32 -e $@ $<

## diffoscope 90~bpo9+1

=== debian/changelog ===
diffoscope (90~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 01 Jan 2018 10:53:21 +0100

diffoscope (90) unstable; urgency=medium

  [ Juliana Oliveira ]
  * tests:
    + comparators/test_rlib: Fix tests for llvm >= 5.0.  Closes: #877727
    + Skip some tests if 'xz' is not present.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Dec 2017 19:49:30 +0100

diffoscope (89) unstable; urgency=medium

  [ Mike Hommey ]
  * comparators:
    + elf:
      - Add fallbacks to elf code section disassembly.  Closes: #879003
    + utils/libarchive:
      - Extract libarchive members with the file extension.

  [ Ximin Luo ]
  * Auto-generate manpage using help2man, so it's no longer out-of-date.
  * difference:
    + Add a Difference.from_command_exc() to help distinguish excluded
      commands from commands returning an empty diff.
  * comparators:
    + utils/command:
      - Replace the feed_stdin() feeder into the simpler stdin() function,
        which provides (if needed) a simple file opject instead of a feeder.
    + utils/container:
      - Add a perform_fuzzy_matching() method (wrapping the already existing
        method) so that comparators can easily override it.
    + deb:
      - Loose matching for .deb archive members, so it's possible to e.g.
      compare deb with different control.tar.{gz,xz}.  Closes: #881937
    + elf:
      - Improve disassembly fallbacks with Difference.from_command_exc().
    + png:
      - Cater for the feed_stdin() removal.
    + zip:
      - Run zipinfo on /dev/stdin instead of a variable path to avoid including
       the temporary file name in the output.  Closes: #879011
      - Cater for the feed_stdin() removal.
  * presenters/formats:
    + Allow non-text formats to output an empty diff.
  * debian/clean:
    + Remove the egg file when cleaning.

  [ Chris Lamb ]
  * comparators:
    + utils/file:
      - Handle case where a file to be "fuzzy" matched does not contain enough
        entropy despite being over 512 bytes.  Closes: #882981
    + android:
      - Add support for Android ROM boot.img introspection.  Closes: #884557
    + symlink:
      - Make cleanup of placeholders idempotent.

  [ Juliana Oliveira Rodrigues ]
  * tests:
    + utils/tools:
      - Add a skip_if_tool_version_is() function.
    + elf:
      - Skip some tests if readelf is version '2.29', where its behaviour
        was accidentally changed to exit with code 1 when it previously
        didn't.  Closes: #877728

  [ Holger Levsen ]
  * debian/control: Bump Standards-Version to 4.1.2.  No changes required.

  [ Mattia Rizzolo ]
  * debian/control: Set Rules-Requires-Root: no.
  * Bump Debhelper compat version to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Dec 2017 14:49:22 +0100

diffoscope (88) unstable; urgency=medium

  [ Holger Levsen ]
  * Bump standards version to 4.1.1, no changes needed.

  [ Mattia Rizzolo ]
  * tests/comparators:
    + dtb: compatibility with version 1.4.5.  Closes: #880279

  [ Chris Lamb ]
  * comparators:
    + binwalk: improve names in output of "internal" members.  Closes: #877525
    + Omit misleading "any of" prefix when only complaining about one module
      in ImportError messages.
  * Don't crash on malformed md5sums files.  Closes: #877473
  * tests/comparators:
    + ps: ps2ascii > 9.21 now varies on timezone, so skip this test for now.
    + dtby: only parse the version number, not any "-dirty" suffix.
  * debian/watch: use HTTPS URI.

  [ Ximin Luo ]
  * comparators:
    + utils/file: diff container metadata centrally.  Closes: #797759
      This fixes a last remaining bug in fuzzy-matching across containers.
    + Fix all the affected comparators after the above change.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 04 Nov 2017 16:26:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
  Reiner Herrmann <reiner@reiner-h.de>,
  Ximin Luo <infinity0@debian.org>,
 Build-Depends:
+ abootimg <!nocheck>,
  apktool <!nocheck>,
  bash-completion,
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
  colord <!nocheck>,
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  dh-python (>= 2.20160818~),
  docx2txt <!nocheck>,
@@ -27,6 +28,7 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
+ help2man,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
  libarchive-tools <!nocheck>,
@@ -66,7 +68,8 @@
  tcpdump <!nocheck>,
  unzip <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
+Rules-Requires-Root: no
 Homepage: https://diffoscope.org/
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
 Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-MANPAGES = $(patsubst %.1.rst,%.1,$(wildcard debian/*.1.rst))
 PY_VERSION := $(shell awk '/^VERSION = / {gsub(/"/, "", $$3); print $$3}' diffoscope/__init__.py )
 
 ifneq ($(DEB_VERSION),$(PY_VERSION))
@@ -35,22 +34,27 @@
 %:
 	dh $@ --with python3 --with bash-completion --buildsystem=pybuild
 
-debian/%.1: debian/%.1.rst
-	rst2man $< $@
+doc/%.1:
+	$(MAKE) -C doc $*.1
 
 debian/diffoscope.bash-completion:
 	register-python-argcomplete diffoscope > $@
 
-override_dh_auto_build: debian/diffoscope.bash-completion $(MANPAGES)
+override_dh_auto_build: debian/diffoscope.bash-completion
 	dh_auto_build -O--buildsystem=pybuild
+	dh_auto_build -O--buildsystem=makefile -Ddoc
+
+override_dh_auto_clean:
+	dh_auto_clean -O--buildsystem=pybuild
+	dh_auto_clean -O--buildsystem=makefile -Ddoc
 
 override_dh_auto_test:
 # Let's avoid plonking everything in the "DOS/MBR" category, this is really not
 # a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
 	! grep 'DOS/MBR' -R diffoscope
-	dh_auto_test
+	dh_auto_test -O--buildsystem=pybuild
 
-override_dh_installman: $(MANPAGES)
+override_dh_installman:
 	dh_installman -O--buildsystem=pybuild
 
 override_dh_python3:

## diffoscope 91~bpo9+1

=== debian/changelog ===
diffoscope (91~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Mar 2018 11:34:17 +0100

diffoscope (91) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/clean: Remove .cache/.
  * diff: Wrap long regular expression for improved readability.
  * comparators.json: Fix UnicodeDecodeError with a non-UTF8 locale.
  * d/copyright: Update for the new year.
  * d/control: Bump Standards-Version to 4.1.3, no changes needed.
  * tests/android:
    + Skip tests involving abootimg on BE archs (see #725729).

  [ Daniel Shahaf ]
  * diffoscope.diff: Document feeders.  Closes: #863880
  * Optimize the common case of feeders.  Closes: #863879

  [ Juliana Oliveira ]
  * {tempfiles, utils.archive}: catch possible FileNotFoundError.
  * comparators.java: add support for procyon-decompiler.  Closes: #849386
  * {command, feeders, diff}: replaces subprocess.Popen() by .run().
    This is done in preparation for work on multiprocessing (#842837).
    + {command, zip, feeders}: replaces .wait by the new .returncode property.
    + comparators.utils.command: replaces .stderr_content by .stderr.
  * tests:
    + test_progress: fix test case for some broken versions of
      python-progressbar.  Closes: #877726
    + utils.tools: add support for modules on skip_unless* annotations.

  [ Chris Lamb ]
  * comparators:
    + utils/compare:
      - Show extended filesystem metadata even when directly comparing two
        files, not just when we specify two directories.  Closes: #888402
    + macho:
      - If the If the LLVM disassembler does not work, try the
        internal one.  Closes: #886736
      - Always strip the filename, not just when by itself.
    + json:
      - Do some cheap fuzzy parsing to detect JSON files not named .json.
      - Also match unicode JSON files.
      - Optionally compare JSONs with the jsondiff module.  Closes: #888112
    + directory:
      - Report differences in extended file attributes when comparing files.
        Closes: #888401
    + xsb:
      - Add support for comparing XMLBeans binary schemas.
    + barkeley_db:
      - Add support for comparing Berkeley DB files.  Closes: #890528
  * Misc code cleaup.
  * tests:
    + comparators.test_elf: Return '0' if we can't parse the readelf
      version number.  Closes: #886963
  * debian:
    + Explicitly build-depend and recommend e2fsprogs.  Closes: #887180

  [ Ximin Luo ]
  * Partially revert the changes done for #888402 to maintain the current.
    behaviour of --exclude-directory-metadata.
  * Refactor how the configuration is loaded:
    + Move the defaults into a Config.reset() method.
    + reset() the configuration at the end of main(), to help the testsuite.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 01 Mar 2018 13:40:48 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,14 @@
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
  colord <!nocheck>,
+ db-util <!nocheck>,
  debhelper (>= 11~),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  dh-python (>= 2.20160818~),
  docx2txt <!nocheck>,
  dpkg-dev (>= 1.17.14),
  device-tree-compiler (>= 1.4.2) <!nocheck>,
+ e2fsprogs <!nocheck>,
  enjarify <!nocheck>,
  flake8 <!nocheck>,
  fontforge-extras <!nocheck>,
@@ -52,11 +54,13 @@
  python3-distro <!nocheck>,
  python3-docutils,
  python3-guestfs <!nocheck>,
+ python3-jsondiff <!nocheck>,
  python3-libarchive-c,
  python3-magic,
  python3-progressbar <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-pyxattr <!nocheck>,
  python3-rpm <!nocheck>,
  python3-setuptools,
  python3-tlsh (>= 3.4.1) <!nocheck>,
@@ -67,10 +71,11 @@
  squashfs-tools <!nocheck>,
  tcpdump <!nocheck>,
  unzip <!nocheck>,
+ xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Rules-Requires-Root: no
-Homepage: https://diffoscope.org/
+Homepage: https://diffoscope.org
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
 Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git

=== debian/rules ===
--- 
+++ 
@@ -41,21 +41,15 @@
 	register-python-argcomplete diffoscope > $@
 
 override_dh_auto_build: debian/diffoscope.bash-completion
+	@# Let's avoid plonking everything in the "DOS/MBR" category, this is really not
+	@# a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
+	! grep 'DOS/MBR' -R diffoscope
 	dh_auto_build -O--buildsystem=pybuild
 	dh_auto_build -O--buildsystem=makefile -Ddoc
 
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
 	dh_auto_clean -O--buildsystem=makefile -Ddoc
-
-override_dh_auto_test:
-# Let's avoid plonking everything in the "DOS/MBR" category, this is really not
-# a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
-	! grep 'DOS/MBR' -R diffoscope
-	dh_auto_test -O--buildsystem=pybuild
-
-override_dh_installman:
-	dh_installman -O--buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3 -p diffoscope \
@@ -64,8 +58,10 @@
 		--recommends=binwalk \
 		--recommends=defusedxml \
 		--recommends=guestfs \
+		--recommends=jsondiff \
 		--recommends=progressbar \
 		--recommends=python-debian \
+		--recommends=pyxattr \
 		--recommends=rpm-python \
 		--recommends=tlsh \

## diffoscope 93ubuntu1

=== doc/Makefile ===
#!/usr/bin/make -f
# This file is also present in reprotest, please update that as well if you
# make fixes here.

PACKAGE = diffoscope
VERSION = $$(cd .. && python3 setup.py -V)
SED_fix_package_quirks = -e 's,bin/diffoscope,diffoscope,g'

SED_rm_python_usage_msg = -e '/end_of_description_header/,/positional arguments/{d}'
SED_fix_rst2man_quirks = \
  -e 's,^ \\- ,,' \
  -e 's,^\[,\\[char91],g' \
  -e 's,\.TH *"" "" "",,g'
SED_rst2man_output_to_h2m_input = \
  -e 's,\.SH \(.*\),[\1],g' \
  -e 's,\[$(PACKAGE)\],[DESCRIPTION],gi'

all: $(PACKAGE).1

$(PACKAGE).1: $(PACKAGE).h2m ../$(PACKAGE)/__init__.py
	help2man --version-string=$(VERSION) ../bin/$(PACKAGE) -N --include="$<" | \
	  sed $(SED_rm_python_usage_msg) > "$@"

$(PACKAGE).h2m: $(PACKAGE).h2m.0 ../README.rst Makefile
	{ cat $(PACKAGE).h2m.0; cat ../README.rst | \
	  rst2man -q --no-doc-title | \
	  sed $(SED_fix_rst2man_quirks) \
	      $(SED_fix_package_quirks) \
	      $(SED_rst2man_output_to_h2m_input); } > "$@"

.PHONY: clean
clean:
	$(RM) $(PACKAGE).1 $(PACKAGE).h2m

=== debian/changelog ===
diffoscope (93ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Drop build dependency on pdftk.
    - debian/rules: Disable diffoscope version check for bionic.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Thu, 05 Apr 2018 20:17:19 +0200

diffoscope (93) unstable; urgency=medium

  * Only append the file formats if --help is passed, otherwise we spam
    #debian-devel-changes et al. (re. #893443)
  * doc/Makefile: Reinstate accidental version parsing change; my sed call
    was over-eager.

 -- Chris Lamb <lamby@debian.org>  Thu, 29 Mar 2018 10:03:03 +0100

diffoscope (92ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop build dependency on pdftk.
    - debian/rules: Disable diffoscope version check for bionic.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Mar 2018 11:45:52 +0800

diffoscope (92) unstable; urgency=medium

  [ Chris Lamb ]

  * New features:
    - Show the list of supported file types in the manual and --help output. We
      can copy-paste this into the website, etc.. Thanks to Jonathan Dowland
      for the suggestion. (Closes: #893443)
    - Add support for comparing Gnumeric spreadsheets. (Closes: #893311)

  * Bug fixes:
    - Additionally extract the classes.dex file from .apk files; apktool does
      not do this by default which was preventing us from recursing into it to
      find differences. Thanks to Hans-Christoph Steiner for the report.
      (Closes: #890904)
    - Recursively reset the permissions of temporary directories prior to
      deletion to ensure that non-writable permissions such as 0555 are removed
      and do not cause a traceback. (Closes: #891363)
    - Support the case where the python3-xattr package is installed but
      python3-pyxattr is not. Based on an patch by Doug Freed; thanks!
      (Closes: #892240)
    - Update Java tests for openjdk-9. (Closes: #893183)

  * Output:
    - Print a nicer error message if you only specify one file to compare.
    - Don't show progress bar if we passed --debug as it just gets in the way.

  * Code tidying:
    - Avoid some necessary indentation around unconditional control flow.
    - Tidy unnecessary assignments.
    - Move the documentation for maybe_decode into a docstring on the method
      itself.
    - Import LooseVersion as LooseVersion.
    - Use more Pythonic `old_level` variable names (over `oldLabel`) and avoid
      using ambiguous `l` variable names.
    - Add whitespace around operators and ensure 4-line indentation throughout.

  * debian/*:
    - Move DOS/MBR check into the testsuite.
    - Add explicit runtime dependency on python3-distutils as it was dropped in
      src:python3.6 3.6.5~rc1-2.

  * Misc:
    - Clarify that the Reproducible Builds project is not just about Debian.
    - Drop executable bit on doc/Makefile.
    - Use our bin/diffoscope wrapper in manpage generation to ensure we are
      using the local version of diffoscope.

  [ Mattia Rizzolo ]
  * Update terminology used in docs about exclusion options. Thanks to Paul
    Wise for the idea. (Closes: #893324)
  * Don't try to decode a string in comparators.utils.file. (Closes: #891903)
  * Save a bunch of system calls by resetting tempfile permissions when
    we actually need to do it.

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Mar 2018 10:28:44 -0400

diffoscope (91ubuntu1) bionic; urgency=medium

  * Drop build dependency on pdftk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Mar 2018 10:57:34 +0800

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
+ gnumeric <!nocheck>,
  help2man,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
@@ -44,7 +45,6 @@
  odt2txt <!nocheck>,
  oggvideotools <!nocheck>,
  openssh-client <!nocheck>,
- pdftk <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
  python-argcomplete,
@@ -88,6 +88,7 @@
 Replaces:
  debbindiff (<< 29),
 Depends:
+ python3-distutils,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
@@ -101,5 +102,4 @@
  compare two tarballs, ISO images, or PDF just as easily. The differences can
  be shown in a text or HTML report.
  .
- diffoscope is developed as part of the “reproducible builds” Debian
- project.
+ diffoscope is developed as part of the “reproducible builds” project.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,11 @@
      $(error Version in debian/changelog does not match diffoscope version or backport policy)
     endif
   else
-   $(error Version in debian/changelog does not match diffoscope version)
+    ifeq ($(DEB_DISTRIBUTION),bionic)
+     $(info "Ubuntu gets to do whatever they want ☺")
+    else
+     $(error Version in debian/changelog does not match diffoscope version)
+    endif
   endif
  endif
 endif
@@ -41,9 +45,6 @@
 	register-python-argcomplete diffoscope > $@
 
 override_dh_auto_build: debian/diffoscope.bash-completion
-	@# Let's avoid plonking everything in the "DOS/MBR" category, this is really not
-	@# a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
-	! grep 'DOS/MBR' -R diffoscope
 	dh_auto_build -O--buildsystem=pybuild
 	dh_auto_build -O--buildsystem=makefile -Ddoc

=== debian/tests/control ===
Tests: pytest
Depends: diffoscope, python3-pytest
Restrictions: needs-recommends

Test-Command: debian/tests/pytest
Depends: diffoscope, python3-pytest
# but without Recommends

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://reproducible.alioth.debian.org/releases/diffoscope/diffoscope-(.+).tar.bz2

## diffoscope 94~bpo9+2

=== debian/changelog ===
diffoscope (94~bpo9+2) stretch-backports; urgency=medium

  * Drop dependency on python3-distutils, not present in stretch as it's part
    of the core python distribution.  Closes: #898683

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 May 2018 10:00:03 +0200

diffoscope (94~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * tests/test_binary: don't capture unused output from subprocess.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 10 May 2018 16:21:30 +0200

diffoscope (94) unstable; urgency=medium

  [ Chris Lamb ]
  * Update tests to prevent FTBFS under file 5.33. (Closes: #897099)
  * Remove all __pycache__ directories to avoid source-contains-empty-directory
    Lintian warning.
  * Remove unused test1.txt test data file.
  * Bump Standards-Version to 4.1.4.

  [ anthraxx ]
  * Add gnumeric to the list of ArchLinux tools.

  [ Paul Wise ]
  * Sort the Debian dependencies.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 May 2018 22:44:44 -0700

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
  db-util <!nocheck>,
  debhelper (>= 11~),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
+ device-tree-compiler (>= 1.4.2) <!nocheck>,
  dh-python (>= 2.20160818~),
  docx2txt <!nocheck>,
  dpkg-dev (>= 1.17.14),
- device-tree-compiler (>= 1.4.2) <!nocheck>,
  e2fsprogs <!nocheck>,
  enjarify <!nocheck>,
  flake8 <!nocheck>,
@@ -45,6 +45,7 @@
  odt2txt <!nocheck>,
  oggvideotools <!nocheck>,
  openssh-client <!nocheck>,
+ pdftk <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
  python-argcomplete,
@@ -73,7 +74,7 @@
  unzip <!nocheck>,
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
@@ -88,7 +89,6 @@
 Replaces:
  debbindiff (<< 29),
 Depends:
- python3-distutils,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,13 @@
 ifneq ($(DEB_VERSION),$(PY_VERSION))
  ifneq ($(DEB_DISTRIBUTION),UNRELEASED)
   ifneq (,$(filter %-backports,$(DEB_DISTRIBUTION)))
-    ifeq ($(DEB_VERSION:~bpo9+1=),$(PY_VERSION))
+    ifeq ($(DEB_VERSION:~bpo9+2=),$(PY_VERSION))
      $(info Building a Debian backport, accepting version mismatch $(PY_VERSION) <-> $(DEB_VERSION))
     else
      $(error Version in debian/changelog does not match diffoscope version or backport policy)
     endif
   else
-    ifeq ($(DEB_DISTRIBUTION),bionic)
-     $(info "Ubuntu gets to do whatever they want ☺")
-    else
-     $(error Version in debian/changelog does not match diffoscope version)
-    endif
+   $(error Version in debian/changelog does not match diffoscope version)
   endif
  endif
 endif
@@ -51,6 +47,7 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
 	dh_auto_clean -O--buildsystem=makefile -Ddoc
+	find -type d -name '__pycache__' -empty -delete
 
 override_dh_python3:
 	dh_python3 -p diffoscope \

## diffoscope 99~bpo9+1

=== debian/changelog ===
diffoscope (99~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Drop build-dep on lz4, not available in stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 Jul 2018 08:21:12 +0200

diffoscope (99) unstable; urgency=medium

  [ Xavier Briand ]
  * Add lz4 comparator.  Closes: #901548; !4

  [ Paul Wise ]
  * Clear the progress bar after completion.  Closes: #901758
    Handle terminals that do not support erasing the line by filling the
    terminal with spaces.  Ignore output devices that are not terminals.
  * Do not delete the current terminal line for every progress bar update.
    The erasure was also causing the progress bar to flicker.

  [ Mattia Rizzolo ]
  * Add a gitlab CI script.  !8
  * tempfiles:
    + Set the base directory only if the caller didn't specify one already.
    + Do not append '_diffoscope' to the temporary file names, as they are now
      all in their namespaced directory already.
    + Empty the list of known tempfiles after removing them.  Closes: #902709
  * external_tools:
    + Fix package name, s/xmlutils/xmlbeans/.
  * tests/test_tools: fix test if /sbin contains a directory.  MR: !2
    Thanks to Chris Lamb <lamby@debian.org> for the patch.
  * logging:
    + Move the computation of the terminal line eraser into logging.py
    + Always clean the line before printing a log message
  * main:
    + Clean the terminal line before printing a traceback.
    + Be sure to print 'Keyboard Interrupt' if that happens.
  * comparators:
    + Do not shadow the original import errors.  MR: !7
  * d/control:
    + Bump Standards-Version to 4.1.5, no changes needed.
    + Add Build-Dependency on procyon-decompiler, to run the tests.
  * d/tests:
    + Autogenerate d/tests/control with all the recommends listed as
      dependencies, so autopkgtest is appropriately triggered whenever one of
      those packages changes.  Closes: #902920

  [ anthraxx ]
  * comparators.utils:libarchive:
    + Add compatibility code for python-libarchive >= 2.8.  MR: !6

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 08 Jul 2018 20:07:06 +0200

diffoscope (98) unstable; urgency=medium

  * Fix compatibility with Python 3.7. (Closes: #902650)

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Jun 2018 08:19:25 +0100

diffoscope (97) unstable; urgency=medium

  * Create all temporary directories within a top-level dir. (Closes: #902627)
  * tests/conftest.py: Fix compatibility with pytest 3.6.2-1, currently in
    Debian experimental.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Jun 2018 21:38:50 +0100

diffoscope (96) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop dependency on pdftk as it relies on GCJ, relying on the pdftotext
    fallback. (Closes: #893702)
  * Change the "No file format specific differences found inside, yet data
    differs" message to be clearer that diffoscope "knows" about this file
    format yet could not be helpful in this case.
  * Don't append a rather useless "(data)" suffix from file(1).
  * Comply with a number of PEP8 recommendations:
    - E226 - Add missing whitespaces around operators.
    - E241 - Fix extraneous whitespaces around keywords.
    - E251 - Remove whitespace around parameter '=' signs.
    - E302 - Add missing 2 blank lines.
    - E501 - Try to make lines fit to length.
    - E502 - Remove extraneous escape of newline.
    - E731 - Don't assign lambda expressions.
    - E121, E122, E126, E128 - Fix badly indented lines.

  [ Xavier Briand ]
  * Add merge request details to contributing documentation.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 Jun 2018 22:19:28 +0200

diffoscope (95) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * tests:
    + test_binary: Don't capture unused output from subprocess.
    + test_git: Fix test failure on FreeBSD.  Closes: #872826
      Thanks to Ximin Luo <infinity0@debian.org> for the initial patch
  * Fix handling of filesnames with non-unicode chars.  Closes: #898022
  * diff: Use bytes as much as possible, to prevent possible encoding issues.
  * d/control: Make the dependency on python3-distutils an alternative on the
    previous versions of libpython3.*-stdlib that used to ship it.
    Closes: #898683
  * d/watch: Update URL to the new archive.

  [ Chris Lamb ]
  * The Git repository has been migrated to salsa, update all the references.
  * Drop extra whitespace in supported file format output.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 20 May 2018 17:46:57 +0200

=== debian/control ===
--- 
+++ 
@@ -45,9 +45,9 @@
  odt2txt <!nocheck>,
  oggvideotools <!nocheck>,
  openssh-client <!nocheck>,
- pdftk <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
+ procyon-decompiler <!nocheck>,
  python-argcomplete,
  python3-all,
  python3-binwalk <!nocheck>,
@@ -74,11 +74,11 @@
  unzip <!nocheck>,
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
-Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
-Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
+Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
+Vcs-Browser: https://salsa.debian.org/reproducible-builds/diffoscope
 
 Package: diffoscope
 Architecture: all
@@ -89,6 +89,7 @@
 Replaces:
  debbindiff (<< 29),
 Depends:
+ python3-distutils | libpython3.5-stdlib | libpython3.6-stdlib (<< 3.6.5~rc1-2),
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ifneq ($(DEB_VERSION),$(PY_VERSION))
  ifneq ($(DEB_DISTRIBUTION),UNRELEASED)
   ifneq (,$(filter %-backports,$(DEB_DISTRIBUTION)))
-    ifeq ($(DEB_VERSION:~bpo9+2=),$(PY_VERSION))
+    ifeq ($(DEB_VERSION:~bpo9+1=),$(PY_VERSION))
      $(info Building a Debian backport, accepting version mismatch $(PY_VERSION) <-> $(DEB_VERSION))
     else
      $(error Version in debian/changelog does not match diffoscope version or backport policy)
@@ -44,11 +44,6 @@
 	dh_auto_build -O--buildsystem=pybuild
 	dh_auto_build -O--buildsystem=makefile -Ddoc
 
-override_dh_auto_clean:
-	dh_auto_clean -O--buildsystem=pybuild
-	dh_auto_clean -O--buildsystem=makefile -Ddoc
-	find -type d -name '__pycache__' -empty -delete
-
 override_dh_python3:
 	dh_python3 -p diffoscope \
 		--depends=distro \
@@ -76,3 +71,24 @@
 
 favicon.png: logo.svg
 	inkscape -w 32 -h 32 -e $@ $<
+
+override_dh_auto_clean:
+	@echo "Generating the debian/tests/control file..."
+	@echo "# DON'T MANUALLY MODIFY!" > debian/tests/control.tmp
+	@echo "# EDIT debian/tests/control.in INSTEAD!" >> debian/tests/control.tmp
+	@echo "#" >> debian/tests/control.tmp
+	@cat debian/tests/control.in >> debian/tests/control.tmp
+	@sed -i "s#%RECOMMENDS%#$(shell bin/diffoscope --list-debian-substvars | cut -d= -f2)#" debian/tests/control.tmp
+	@set -e ; if ! diff -q debian/tests/control debian/tests/control.tmp ; then \
+		echo ;\
+		echo "The generated control file differs from the actual one." ;\
+		echo "A sourceful upload of this package is needed." ;\
+		echo ;\
+		echo "Differences:" ;\
+		diff -u debian/tests/control debian/tests/control.tmp ;\
+	else \
+		rm debian/tests/control.tmp ;\
+	fi
+	dh_auto_clean -O--buildsystem=pybuild
+	dh_auto_clean -O--buildsystem=makefile -Ddoc
+	find -type d -name '__pycache__' -empty -delete

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
Tests: pytest-with-recommends
Depends: diffoscope, python3-pytest, abootimg, acl, apktool, binutils-multiarch, bzip2, caca-utils, colord, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, fontforge-extras, fp-utils, genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg, imagemagick, jsbeautifier, libarchive-tools, llvm, lz4, mono-utils, odt2txt, oggvideotools, openssh-client, pgpdump, poppler-utils, procyon-decompiler, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, unzip, xmlbeans, xxd | vim-common, xz-utils

Tests: pytest
Depends: diffoscope, python3-pytest

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 99

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
  libjs-jquery-tablesorter <!nocheck>,
  libjs-jquery-throttle-debounce <!nocheck>,
  llvm <!nocheck>,
+ lz4 <!nocheck>,
  mono-utils <!nocheck>,
  odt2txt <!nocheck>,
  oggvideotools <!nocheck>,

## diffoscope 101~bpo9+1

=== debian/changelog ===
diffoscope (101~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Drop build-dep on lz4, not available in stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 18 Sep 2018 09:25:03 +0200

diffoscope (101) unstable; urgency=medium

  * Fix testsuite under LLVM >= 7.0. (Closes: #908074)
  * Substvar generation:
    - Ensure Debian substvar generation is deterministic regardless of
      installed packages. (Closes: #908072)
    - Clarify distinction between tools (eg. gpg) and packages (eg. gnupg) when
      generating Debian substvars.
    - Revert updating generated debian/tests/control made in diffoscope 100.
  * Disable binwalk's own user configuration for predictable results and to
    ensure it does not create unnecessary directories. (Closes: #903444)
  * Ensure we return "bytes" objects from Command.filter to avoid a
    "TypeError: Unicode-objects must be encoded before hashing" traceback.
  * Don't print GPG output in diffoscope.changes.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Sep 2018 16:37:45 +0100

diffoscope (100) unstable; urgency=medium

  [ Alexis Murzeau ]
  * Correct matching of .deb archive members. (Closes: #903565)

  [ Chris Lamb ]
  * Support .deb archives that contain an uncompressed control.tar and data.tar
    Thanks to Roderich Schupp <roderich.schupp@gmail.com>.
    (Closes: #903391, #903401)
  * Wrap jsondiff calls with try-except to prevent fatal errors.
    (Closes: #903447, #903449)
  * Don't include the filename in llvm-bcanalyzer results. (Closes: #905598)
  * Update generated debian/tests/control.
  * Bump Standards-Version to 4.2.1.

  [ Daniel Kahn Gillmor ]
  * Avoid line eraser error on dumb terminals. (Closes: #906967)
  * Correct spelling of ereser to eraser.

  [ Mattia Rizzolo ]
  * On Debian, do not require apktool on ppc64el and s390x, ogvideotools on
    s390x and fp-utils on ppc64el and s390x as they are not installable there.
  * Explicitly add `file` to the dependencies of autopkgtest to have the tests
    triggered whenever `file` changes

  [ Ricardo Gaviria ]
  * Handle errors with encrypted archive files. (Closes: #904685)

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Sep 2018 09:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Ximin Luo <infinity0@debian.org>,
 Build-Depends:
  abootimg <!nocheck>,
- apktool <!nocheck>,
+ apktool [!ppc64el !s390x] <!nocheck>,
  bash-completion,
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
@@ -26,7 +26,7 @@
  enjarify <!nocheck>,
  flake8 <!nocheck>,
  fontforge-extras <!nocheck>,
- fp-utils <!nocheck>,
+ fp-utils [!ppc64el !s390x] <!nocheck>,
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
@@ -41,10 +41,9 @@
  libjs-jquery-tablesorter <!nocheck>,
  libjs-jquery-throttle-debounce <!nocheck>,
  llvm <!nocheck>,
- lz4 <!nocheck>,
  mono-utils <!nocheck>,
  odt2txt <!nocheck>,
- oggvideotools <!nocheck>,
+ oggvideotools [!s390x] <!nocheck>,
  openssh-client <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
@@ -75,7 +74,7 @@
  unzip <!nocheck>,
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,9 @@
 	@echo "#" >> debian/tests/control.tmp
 	@cat debian/tests/control.in >> debian/tests/control.tmp
 	@sed -i "s#%RECOMMENDS%#$(shell bin/diffoscope --list-debian-substvars | cut -d= -f2)#" debian/tests/control.tmp
+	@sed -i "s,apktool,apktool [!ppc64el !s390x]," debian/tests/control.tmp
+	@sed -i "s,fp-utils,fp-utils [!ppc64el !s390x]," debian/tests/control.tmp
+	@sed -i "s,oggvideotools,oggvideotools [!s390x]," debian/tests/control.tmp
 	@set -e ; if ! diff -q debian/tests/control debian/tests/control.tmp ; then \
 		echo ;\
 		echo "The generated control file differs from the actual one." ;\

## diffoscope 102~bpo9+1

=== debian/changelog ===
diffoscope (102~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Drop build-dep on lz4, not available in stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 25 Sep 2018 11:53:33 +0200

diffoscope (102) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix tests under colord >= 1.4.3.  Closes: #908900

  [ Xavier Briand ]
  * Add an "Add a comparator" section in CONTRIBUTING.  MR: !9

  [ Mattia Rizzolo ]
  * debian: Use the new debhelper-compat(=11) build dep and drop d/compat.

  [ Marek Marczykowski-Górecki ]
  * comparators/json: Try fuzzy matching for non-text files too.
    This avoids loading very large file just to discover they aren't JSON.
    Closes: #909122

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Sep 2018 10:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  caca-utils <!nocheck>,
  colord <!nocheck>,
  db-util <!nocheck>,
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  device-tree-compiler (>= 1.4.2) <!nocheck>,
  dh-python (>= 2.20160818~),

## diffoscope 102

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
  libjs-jquery-tablesorter <!nocheck>,
  libjs-jquery-throttle-debounce <!nocheck>,
  llvm <!nocheck>,
+ lz4 <!nocheck>,
  mono-utils <!nocheck>,
  odt2txt <!nocheck>,
  oggvideotools [!s390x] <!nocheck>,

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
Tests: pytest-with-recommends
Depends: diffoscope, python3-pytest, file, abootimg, acl, apktool [!ppc64el !s390x], binutils-multiarch, bzip2, caca-utils, colord, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, fontforge-extras, fp-utils [!ppc64el !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg, imagemagick, jsbeautifier, libarchive-tools, llvm, lz4, mono-utils, odt2txt, oggvideotools [!s390x], openssh-client, pgpdump, poppler-utils, procyon-decompiler, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, unzip, xmlbeans, xxd | vim-common, xz-utils

Tests: pytest
Depends: diffoscope, python3-pytest, file

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 103

=== debian/changelog ===
diffoscope (103) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * In Debian, list liblz4-tool as an alternative to the lz4 package.
    stretch only has the former.

  [ Chris Lamb ]
  * Strip trailing whitespace from ssconvert(1) output to support
    gnumeric 1.12.43.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 03 Oct 2018 16:35:59 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  libjs-jquery-tablesorter <!nocheck>,
  libjs-jquery-throttle-debounce <!nocheck>,
  llvm <!nocheck>,
- lz4 <!nocheck>,
+ lz4 <!nocheck> | liblz4-tool <!nocheck>,
  mono-utils <!nocheck>,
  odt2txt <!nocheck>,
  oggvideotools [!s390x] <!nocheck>,

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
Tests: pytest-with-recommends
Depends: diffoscope, python3-pytest, file, abootimg, acl, apktool [!ppc64el !s390x], binutils-multiarch, bzip2, caca-utils, colord, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, fontforge-extras, fp-utils [!ppc64el !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg, imagemagick, jsbeautifier, libarchive-tools, llvm, lz4 | liblz4-tool, mono-utils, odt2txt, oggvideotools [!s390x], openssh-client, pgpdump, poppler-utils, procyon-decompiler, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, unzip, xmlbeans, xxd | vim-common, xz-utils

Tests: pytest
Depends: diffoscope, python3-pytest, file

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends
